cutlass::Array< T, N, false >::const_reference Class Reference

Reference object extracts sub-byte items.

`#include <array_subbyte.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | const_reference ()
| Default ctor. More...
CUTLASS_HOST_DEVICE | const_reference (Storage const *ptr, int idx=0)
| Ctor. More...
CUTLASS_HOST_DEVICE const T | get () const
CUTLASS_HOST_DEVICE | operator T () const
| Extract. More...
CUTLASS_HOST_DEVICE | operator int () const
| Explicit cast to int. More...
CUTLASS_HOST_DEVICE | operator float () const
| Explicit cast to float. More...

## Constructor & Destructor Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::const_reference::const_reference | ( |  | ) |

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::const_reference::const_reference | ( | Storage const * | ptr,
|  | int | idx = `0`
| ) |  |

inline

## Member Function Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE const T cutlass::Array< T, N, false >::const_reference::get | ( |  | ) | const

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::const_reference::operator float | ( |  | ) | const

inlineexplicit

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::const_reference::operator int | ( |  | ) | const

inlineexplicit

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::const_reference::operator T | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- array_subbyte.h